curl --request POST \
--url https://app.forecastable.com/api/v1/engage/campaigns/{campaignId}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"senderUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": [
{
"email": "<string>",
"name": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linkedinUrl": "<string>",
"slackUserId": "<string>"
}
],
"engageListId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sendAt": "2023-11-07T05:31:56Z",
"needsApproval": true
}
'import requests
url = "https://app.forecastable.com/api/v1/engage/campaigns/{campaignId}/start"
payload = {
"senderUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": [
{
"email": "<string>",
"name": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linkedinUrl": "<string>",
"slackUserId": "<string>"
}
],
"engageListId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sendAt": "2023-11-07T05:31:56Z",
"needsApproval": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
senderUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
to: [
{
email: '<string>',
name: '<string>',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
linkedinUrl: '<string>',
slackUserId: '<string>'
}
],
engageListId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sendAt: '2023-11-07T05:31:56Z',
needsApproval: true
})
};
fetch('https://app.forecastable.com/api/v1/engage/campaigns/{campaignId}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enrollmentJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Start Engage campaign (REST only)
Enroll recipients in a campaign. Requires an Idempotency-Key header. Always returns 202 with an enrollment job for polling. This operation is intentionally not exposed as an MCP tool.
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Unique client-generated key for safe retries. Replaying the same key with the same payload returns the stored result; reuse with a different payload returns 409.
1 - 255Path Parameters
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
Organization user to send as. Required for client-credential tokens; user tokens default to the authenticated user.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$500Show child attributes
Show child attributes
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Response
Enrollment accepted.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$queued, processing, completed, failed Was this page helpful?